package fr.marouse.mapper;


import fr.marouse.dto.ClientDTO;
import fr.marouse.entity.Client;

public class ClientMapper {

    public static ClientDTO toDTO(Client entity) {
        if (entity == null) return null;

        ClientDTO dto = new ClientDTO();
        dto.setNumClient(entity.getNumClient());
        dto.setNomClient(entity.getNomClient());
        dto.setPrenomClient(entity.getPrenomClient());
        dto.setAdClient(entity.getAdClient());
        dto.setDateNaissClient(entity.getDateNaissClient());
        dto.setAgeClient(entity.getAgeClient());
        return dto;
    }

    public static Client toEntity(ClientDTO dto) {
        if (dto == null) return null;

        Client entity = new Client();
        entity.setNumClient(dto.getNumClient());
        entity.setNomClient(dto.getNomClient());
        entity.setPrenomClient(dto.getPrenomClient());
        entity.setAdClient(dto.getAdClient());
        entity.setDateNaissClient(dto.getDateNaissClient());
        entity.setAgeClient(dto.getAgeClient());
        return entity;
    }
}
